#include	"Types.r"
#include	"SysTypes.r"

resource 'WIND' (1000, "Legend", purgeable) {
	{40, 40, 144, 222},
	noGrowDocProc,
	invisible,
	goAway,
	0x0,
	"Legend"
};

resource 'WIND' (2000, "About", purgeable) {
	{42, 12, 210, 402},
	zoomDocProc,
	invisible,
	goAway,
	0x0,
	"About HeapDemo"
};

resource 'MENU' (1000, "Apple") {
	1000,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{	/* array: 2 elements */
		/* [1] */
		"About HeapDemo", noIcon, noKey, noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (1001, "File") {
	1001,
	textMenuProc,
	0x7FFFFFFB,
	enabled,
	"File",
	{	/* array: 4 elements */
		/* [1] */
		"Open Display", noIcon, "O", noMark, plain,
		/* [2] */
		"Close", noIcon, "W", noMark, plain,
		/* [3] */
		"-", noIcon, noKey, noMark, plain,
		/* [4] */
		"Quit", noIcon, "Q", noMark, plain
	}
};

resource 'MENU' (1002, "Edit", preload) {
	1002,
	textMenuProc,
	0x7FFFFFFD,
	disabled,
	"Edit",
	{	/* array: 6 elements */
		/* [1] */
		"Undo", noIcon, "Z", noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain,
		/* [3] */
		"Cut", noIcon, "X", noMark, plain,
		/* [4] */
		"Copy", noIcon, "C", noMark, plain,
		/* [5] */
		"Paste", noIcon, "V", noMark, plain,
		/* [6] */
		"Clear", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (1003, "Window", preload) {
	1003,
	textMenuProc,
	0x7FFFFFFB,
	enabled,
	"Window",
	{	/* array: 4 elements */
		/* [1] */
		"Novice Display", noIcon, noKey, check, plain,
		/* [2] */
		"Advanced Display", noIcon, noKey, noMark, plain,
		/* [3] */
		"-", noIcon, noKey, noMark, plain,
		/* [4] */
		"Show Legend", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (1004, "Special", preload) {
	1004,
	textMenuProc,
	allEnabled,
	enabled,
	"Special",
	{	/* array: 1 elements */
		/* [1] */
		"Delete all blocks", noIcon, noKey, noMark, plain
	}
};

resource 'DLOG' (1000, "About", purgeable) {
	{60, 102, 262, 416},
	dBoxProc,
	visible,
	goAway,
	0x0,
	1000,
	"About HeapDemo"
};

resource 'DLOG' (1002, "Extended Memory Display", purgeable, preload) {
	{40, 4, 336, 508},
	noGrowDocProc,
	invisible,
	goAway,
	0x0,
	1002,
	"Heap Display"
};

resource 'DLOG' (1001, "Memory Display", purgeable, preload) {
	{40, 4, 336, 508},
	noGrowDocProc,
	invisible,
	goAway,
	0x0,
	1001,
	"Heap Display"
};

resource 'DITL' (1000, "About", purgeable) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{157, 229, 189, 305},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{7, 9, 188, 216},
		StaticText {
			disabled,
			"HeapDemo v 1.3.2\n  Written by:\n    Richa"
			"rd Clark\n\n  Useful suggestions by:\n    J"
			"ames Sulzen, Dave Feldt,\n    Eric Shapir"
			"o\n\n    \n1989 by Apple Computer Inc. \nAl"
			"l rights reserved.\n"
		}
	}
};

resource 'DITL' (1002, "Extended Memory Display", purgeable) {
	{	/* array DITLarray: 31 elements */
		/* [1] */
		{32, 8, 288, 112},
		UserItem {
			enabled
		},
		/* [2] */
		{32, 120, 288, 224},
		UserItem {
			enabled
		},
		/* [3] */
		{8, 232, 29, 329},
		Button {
			enabled,
			"NewHandle"
		},
		/* [4] */
		{32, 232, 53, 329},
		Button {
			enabled,
			"HLock"
		},
		/* [5] */
		{56, 232, 77, 329},
		Button {
			enabled,
			"HUnlock"
		},
		/* [6] */
		{128, 232, 149, 329},
		Button {
			enabled,
			"MoveHHi"
		},
		/* [7] */
		{152, 232, 173, 329},
		Button {
			enabled,
			"DisposHandle"
		},
		/* [8] */
		{184, 232, 205, 329},
		Button {
			enabled,
			"NewPtr"
		},
		/* [9] */
		{208, 232, 229, 329},
		Button {
			enabled,
			"DisposPtr"
		},
		/* [10] */
		{11, 334, 27, 358},
		EditText {
			enabled,
			"1"
		},
		/* [11] */
		{187, 336, 203, 360},
		EditText {
			enabled,
			"1"
		},
		/* [12] */
		{8, 138, 24, 209},
		StaticText {
			disabled,
			"Present"
		},
		/* [13] */
		{8, 32, 24, 96},
		StaticText {
			disabled,
			"Past"
		},
		/* [14] */
		{11, 365, 31, 385},
		StaticText {
			disabled,
			"K"
		},
		/* [15] */
		{187, 368, 207, 388},
		StaticText {
			disabled,
			"K"
		},
		/* [16] */
		{176, 232, 181, 413},
		Picture {
			disabled,
			1000
		},
		/* [17] */
		{232, 232, 248, 328},
		StaticText {
			disabled,
			"Total free:"
		},
		/* [18] */
		{232, 336, 248, 504},
		StaticText {
			disabled,
			"16536 bytes (16K)"
		},
		/* [19] */
		{256, 232, 272, 328},
		StaticText {
			disabled,
			"After purge:"
		},
		/* [20] */
		{256, 336, 272, 504},
		StaticText {
			disabled,
			"16536 bytes (16K)"
		},
		/* [21] */
		{280, 232, 297, 283},
		StaticText {
			disabled,
			"Result:"
		},
		/* [22] */
		{280, 336, 296, 504},
		StaticText {
			disabled,
			"noErr"
		},
		/* [23] */
		{80, 232, 101, 329},
		Button {
			enabled,
			"HPurge"
		},
		/* [24] */
		{104, 232, 125, 329},
		Button {
			enabled,
			"HNoPurge"
		},
		/* [25] */
		{56, 344, 77, 441},
		Button {
			enabled,
			"MaxMem"
		},
		/* [26] */
		{80, 344, 101, 441},
		Button {
			enabled,
			"CompactMem"
		},
		/* [27] */
		{104, 344, 125, 441},
		Button {
			enabled,
			"PurgeMem"
		},
		/* [28] */
		{83, 448, 99, 472},
		EditText {
			enabled,
			"1"
		},
		/* [29] */
		{108, 448, 124, 472},
		EditText {
			enabled,
			"1"
		},
		/* [30] */
		{80, 480, 100, 500},
		StaticText {
			disabled,
			"K"
		},
		/* [31] */
		{104, 480, 124, 500},
		StaticText {
			disabled,
			"K"
		}
	}
};

resource 'DITL' (2000, "Look, no touch", purgeable) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{53, 181, 73, 241},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{7, 58, 45, 241},
		StaticText {
			disabled,
			"You can look at the old heap, but not to"
			"uch."
		}
	}
};

resource 'DITL' (2001, "Bad request", purgeable) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{53, 181, 73, 241},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{7, 58, 45, 241},
		StaticText {
			disabled,
			"Please enter an integer between 1 and ^0"
		}
	}
};

resource 'DITL' (2002, "No Demo Memory", purgeable) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{53, 181, 73, 241},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{7, 58, 45, 241},
		StaticText {
			disabled,
			"There's not enough room to allocate anot"
			"her block."
		}
	}
};

resource 'DITL' (2003, "No More Blocks", purgeable) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{53, 181, 73, 241},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{7, 58, 45, 241},
		StaticText {
			disabled,
			"Sorry, only ^0 blocks are allowed in thi"
			"s demo."
		}
	}
};

resource 'DITL' (1001, "Memory Display", purgeable) {
	{	/* array DITLarray: 22 elements */
		/* [1] */
		{32, 16, 272, 128},
		UserItem {
			enabled
		},
		/* [2] */
		{32, 144, 272, 256},
		UserItem {
			enabled
		},
		/* [3] */
		{8, 280, 29, 377},
		Button {
			enabled,
			"NewHandle"
		},
		/* [4] */
		{32, 280, 53, 377},
		Button {
			enabled,
			"HLock"
		},
		/* [5] */
		{56, 280, 77, 377},
		Button {
			enabled,
			"HUnlock"
		},
		/* [6] */
		{80, 280, 101, 377},
		Button {
			enabled,
			"MoveHHi"
		},
		/* [7] */
		{104, 280, 125, 377},
		Button {
			enabled,
			"DisposHandle"
		},
		/* [8] */
		{152, 280, 173, 377},
		Button {
			enabled,
			"NewPtr"
		},
		/* [9] */
		{176, 280, 197, 377},
		Button {
			enabled,
			"DisposPtr"
		},
		/* [10] */
		{11, 384, 27, 408},
		EditText {
			enabled,
			"1"
		},
		/* [11] */
		{155, 384, 171, 408},
		EditText {
			enabled,
			"1"
		},
		/* [12] */
		{8, 162, 25, 235},
		StaticText {
			disabled,
			"Present"
		},
		/* [13] */
		{8, 40, 24, 104},
		StaticText {
			disabled,
			"Past"
		},
		/* [14] */
		{11, 416, 31, 436},
		StaticText {
			disabled,
			"K"
		},
		/* [15] */
		{155, 416, 175, 436},
		StaticText {
			disabled,
			"K"
		},
		/* [16] */
		{136, 280, 139, 461},
		Picture {
			disabled,
			1000
		},
		/* [17] */
		{216, 264, 232, 360},
		StaticText {
			disabled,
			"Free memory:"
		},
		/* [18] */
		{216, 368, 232, 504},
		StaticText {
			disabled,
			"16536 bytes (16K)"
		},
		/* [19] */
		{0, 1264, 16, 1360},
		StaticText {
			disabled,
			"After purge:"
		},
		/* [20] */
		{0, 1368, 16, 1504},
		StaticText {
			disabled,
			"16536 bytes (16K)"
		},
		/* [21] */
		{264, 264, 281, 315},
		StaticText {
			disabled,
			"Result:"
		},
		/* [22] */
		{264, 368, 280, 504},
		StaticText {
			disabled,
			"noErr"
		}
	}
};

resource 'DITL' (2004, "No More Blocks", purgeable) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{71, 59, 91, 119},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{72, 214, 92, 274},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{7, 59, 62, 274},
		StaticText {
			disabled,
			"Do you really want to delete all blocks "
			"in the heap?"
		}
	}
};

resource 'ALRT' (1000, "NoOldHeap") {
	{66, 34, 148, 288},
	2000,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

resource 'ALRT' (1001, "Wrong Size") {
	{66, 34, 148, 288},
	2001,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

resource 'ALRT' (1002, "No Demo Mem") {
	{66, 34, 148, 288},
	2002,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

resource 'ALRT' (1003, "No More Blocks") {
	{66, 34, 148, 288},
	2003,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

resource 'ALRT' (1004, "Special feature") {
	{64, 34, 164, 326},
	2004,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

resource 'PICT' (1000, purgeable) {
	47,
	{0, 0, 3, 181},
	$"1101 0E00 0001 9901 000A 0000 0000 0018"
	$"00B6 09AA 55AA 55AA 55AA 5520 0001 0001"
	$"0001 00A2 FF"
};

resource 'PICT' (1001, "Legend Picture") {
	191,
	{0, 0, 96, 181},
	$"1101 0100 0A00 0000 0000 7500 B603 0003"
	$"0441 0D00 0C2B 4212 064C 6567 656E 640E"
	$"0000 0199 0700 0200 0220 0018 000A 0018"
	$"00AB 0E00 0001 550A 8800 2200 8800 2200"
	$"3400 1E00 0F00 3800 5007 0001 0001 380E"
	$"0000 0021 0401 0D00 0928 0034 0011 0B6E"
	$"6E20 5B4C 6F63 6B65 645D 0D00 0C28 002F"
	$"0055 0B52 656C 6F63 6174 6162 6C65 0E00"
	$"0000 CD0A 0102 0408 1020 4080 3400 3C00"
	$"0F00 5600 5038 0E00 0000 210D 0009 2800"
	$"5300 1102 6E6E 0D00 0C28 004E 0055 0546"
	$"6978 6564 FF"
};

data 'hpdm' (0) {
	$"4348 6561 7044 656D 6F20 312E 332E 332C"            /* CHeapDemo 1.3.3, */
	$"20A9 2031 3938 3920 6279 2041 7070 6C65"            /*   1989 by Apple */
	$"2043 6F6D 7075 7465 722C 2049 6E63 2E20"            /*  Computer, Inc.  */
	$"416C 6C20 7269 6768 7473 2072 6573 6572"            /* All rights reser */
	$"7665 642E"                                          /* ved. */
};

resource 'BNDL' (128) {
	'hpdm',
	0,
	{	/* array TypeArray: 2 elements */
		/* [1] */
		'FREF',
		{	/* array IDArray: 1 elements */
			/* [1] */
			0, 128
		},
		/* [2] */
		'ICN#',
		{	/* array IDArray: 1 elements */
			/* [1] */
			0, 128
		}
	}
};

resource 'FREF' (128) {
	'APPL',
	0,
	""
};

resource 'ICN#' (128) {
	{	/* array: 2 elements */
		/* [1] */
		$"07FF E000 06AA A000 0555 6000 06AA A000"
		$"07FF E000 0400 2000 0400 2000 07FF E000"
		$"0524 F800 064B 2C00 0495 FA00 052E 3B00"
		$"07F8 6F80 0418 C280 0419 8780 041B 0D80"
		$"041E 1980 041F FF80 041F FF00 040C 0280"
		$"040B 0E40 040E FD20 0407 FE90 0401 F348"
		$"0400 21A8 0400 20FC 0400 203C 07FF E01C"
		$"0524 A008 0649 2000 0492 2000 07FF E0",
		/* [2] */
		$"07FF E000 07FF E000 07FF E000 07FF E000"
		$"07FF E000 07FF E000 07FF E000 07FF E000"
		$"07FF F800 07FF FC00 07FF FE00 07FF FF00"
		$"07FF FF80 07FF FF80 07FF FF80 07FF FF80"
		$"07FF FF80 07FF FF80 07FF FF00 07FF FF80"
		$"07FF FFC0 07FF FFE0 07FF FFF0 07FF F3F8"
		$"07FF E1F8 07FF E0FC 07FF E03C 07FF E01C"
		$"07FF E008 07FF E000 07FF E000 07FF E0"
	}
};

resource 'vers' (1) {
	0x1,
	0x33,
	0x0,
	0x0,
	verUs,
	"1.3.3",
	"1.3.3 1989 by Apple Computer, Inc. All "
	"Rights Reserved."
};

resource 'SIZE' (-1) {
	dontSaveScreen,
	ignoreSuspendResumeEvents,
	enableOptionSwitch,
	cannotBackground,
	notMultiFinderAware,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreChildDiedEvents,
	not32BitCompatible,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	1024 * 120,
	1024 * 120
};

resource 'STR#' (1000, "Block states", purgeable) {
	{	/* array StringArray: 2 elements */
		/* [1] */
		" Lock",
		/* [2] */
		" Purge"
	}
};

resource 'STR#' (1001, "Status messages", purgeable) {
	{	/* array StringArray: 2 elements */
		/* [1] */
		"There's not enough room to allocate anot"
		"her block.",
		/* [2] */
		"PurgeMem couldn't get the requested amou"
		"nt."
	}
};

data 'pref' (1000, purgeable) {
	$"0000"                                               /* .. */
};

INCLUDE "About Box Text and Style";
